Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-3b
/
{year}
/
{month}
GSTR-3B Details
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-3b/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-3b/{year}/{month}"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-3b/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "data": {
    "data": {
      "gstin": "24ABKCS2033B1ZV",
      "inter_sup": {
        "comp_details": [
          {
            "iamt": 185.31,
            "pos": "33",
            "txval": 1029.48
          }
        ],
        "uin_details": [],
        "unreg_details": [
          {
            "iamt": 457.17,
            "pos": "27",
            "txval": 2539.83
          },
          {
            "iamt": 152.39,
            "pos": "07",
            "txval": 846.61
          },
          {
            "iamt": 61550.64,
            "pos": "29",
            "txval": 341948.46
          }
        ]
      },
      "intr_ltfee": {
        "intr_details": {
          "camt": 0,
          "csamt": 0,
          "iamt": 0,
          "samt": 0
        },
        "ltfee_details": {
          "camt": 0,
          "csamt": 0,
          "iamt": 0,
          "samt": 0
        }
      },
      "itc_elg": {
        "itc_avl": [
          {
            "camt": 0,
            "csamt": 0,
            "iamt": 0,
            "samt": 0,
            "ty": "IMPG"
          },
          {
            "camt": 0,
            "csamt": 0,
            "iamt": 0,
            "samt": 0,
            "ty": "IMPS"
          },
          {
            "camt": 9000,
            "csamt": 0,
            "iamt": 0,
            "samt": 9000,
            "ty": "ISRC"
          },
          {
            "camt": 0,
            "csamt": 0,
            "iamt": 0,
            "samt": 0,
            "ty": "ISD"
          },
          {
            "camt": 24384,
            "csamt": 0,
            "iamt": 218140,
            "samt": 24384,
            "ty": "OTH"
          }
        ],
        "itc_inelg": [
          {
            "camt": 0,
            "csamt": 0,
            "iamt": 0,
            "samt": 0,
            "ty": "RUL"
          },
          {
            "camt": 0,
            "csamt": 0,
            "iamt": 0,
            "samt": 0,
            "ty": "OTH"
          }
        ],
        "itc_net": {
          "camt": 33384,
          "csamt": 0,
          "iamt": 218140,
          "samt": 33384
        },
        "itc_rev": [
          {
            "camt": 0,
            "csamt": 0,
            "iamt": 0,
            "samt": 0,
            "ty": "RUL"
          },
          {
            "camt": 0,
            "csamt": 0,
            "iamt": 0,
            "samt": 0,
            "ty": "OTH"
          }
        ]
      },
      "ret_period": "112024",
      "sup_details": {
        "isup_rev": {
          "camt": 9000,
          "csamt": 0,
          "iamt": 0,
          "samt": 9000,
          "txval": 100000
        },
        "osup_det": {
          "camt": 8127.33,
          "csamt": 0,
          "iamt": 376705.19,
          "samt": 8127.33,
          "txval": 2183112.28
        },
        "osup_nil_exmp": {
          "camt": 0,
          "csamt": 0,
          "iamt": 0,
          "samt": 0,
          "txval": 0
        },
        "osup_nongst": {
          "camt": 0,
          "csamt": 0,
          "iamt": 0,
          "samt": 0,
          "txval": 0
        },
        "osup_zero": {
          "camt": 0,
          "csamt": 0,
          "iamt": 0,
          "samt": 0,
          "txval": 0
        }
      },
      "tx_pmt": {
        "adjnegliab": [],
        "net_tax_pay": [
          {
            "cess": {
              "fee": 0,
              "intr": 0,
              "tx": 0
            },
            "cgst": {
              "fee": 0,
              "intr": 0,
              "tx": 8127
            },
            "igst": {
              "fee": 0,
              "intr": 0,
              "tx": 376705
            },
            "liab_ldg_id": 0,
            "sgst": {
              "fee": 0,
              "intr": 0,
              "tx": 8127
            },
            "tran_desc": "Other than Reverse Charge",
            "trans_typ": 30002
          },
          {
            "cess": {
              "fee": 0,
              "intr": 0,
              "tx": 0
            },
            "cgst": {
              "fee": 0,
              "intr": 0,
              "tx": 9000
            },
            "igst": {
              "fee": 0,
              "intr": 0,
              "tx": 0
            },
            "liab_ldg_id": 0,
            "sgst": {
              "fee": 0,
              "intr": 0,
              "tx": 9000
            },
            "tran_desc": "Reverse charge and supplies made u/s 9(5)",
            "trans_typ": 30003
          }
        ],
        "pdcash": [
          {
            "c_intrpd": 0,
            "c_lfeepd": 0,
            "cpd": 0,
            "cs_intrpd": 0,
            "cs_lfeepd": 0,
            "cspd": 0,
            "i_intrpd": 0,
            "i_lfeepd": 0,
            "ipd": 108051,
            "liab_ldg_id": 770673261,
            "s_intrpd": 0,
            "s_lfeepd": 0,
            "spd": 0,
            "trans_typ": 30002
          },
          {
            "c_intrpd": 0,
            "c_lfeepd": 0,
            "cpd": 9000,
            "cs_intrpd": 0,
            "cs_lfeepd": 0,
            "cspd": 0,
            "i_intrpd": 0,
            "i_lfeepd": 0,
            "ipd": 0,
            "liab_ldg_id": 770673262,
            "s_intrpd": 0,
            "s_lfeepd": 0,
            "spd": 9000,
            "trans_typ": 30003
          }
        ],
        "pditc": {
          "c_pdc": 8127,
          "c_pdi": 0,
          "cs_pdcs": 0,
          "i_pdc": 25257,
          "i_pdi": 218140,
          "i_pds": 25257,
          "liab_ldg_id": 770673261,
          "s_pdi": 0,
          "s_pds": 8127,
          "trans_typ": 30002
        },
        "pdnls": [],
        "tx_py": [
          {
            "cess": {
              "fee": 0,
              "intr": 0,
              "tx": 0
            },
            "cgst": {
              "fee": 0,
              "intr": 0,
              "tx": 0
            },
            "igst": {
              "fee": 0,
              "intr": 0,
              "tx": 0
            },
            "liab_ldg_id": 770673261,
            "sgst": {
              "fee": 0,
              "intr": 0,
              "tx": 0
            },
            "tran_desc": "Other than Reverse Charge",
            "trans_typ": 30002
          },
          {
            "cess": {
              "fee": 0,
              "intr": 0,
              "tx": 0
            },
            "cgst": {
              "fee": 0,
              "intr": 0,
              "tx": 0
            },
            "igst": {
              "fee": 0,
              "intr": 0,
              "tx": 0
            },
            "liab_ldg_id": 770673262,
            "sgst": {
              "fee": 0,
              "intr": 0,
              "tx": 0
            },
            "tran_desc": "Reverse charge and supplies made u/s 9(5)",
            "trans_typ": 30003
          }
        ]
      }
    },
    "status_cd": "1"
  },
  "timestamp": 1734602649000,
  "transaction_id": "ee0a0224-8b95-4450-8670-c6450823ce5e"
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

year
string
required
month
string
required

Response

200 - application/json

200 Success / RT-R3BQ1004 GSTR-1 not filed / 200 Details after offsetting liabilities

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"46278962-eada-4715-99e1-3f55c5ca3efb"